//Input events for Armor::onTrigger (jump, crouch, jet) - onPlayerJump, onPlayerStopJump, onPlayerCrouch, onPlayerStopCrouch, onPlayerJet, onPlayerStopJet
//Made by Cruxeis, BL_ID 35041

if($Pref::PlayerTriggerEvents::Sensitivity $= "")
	$Pref::PlayerTriggerEvents::Sensitivity = 5;

package triggerEvents {
	
function Armor::onTrigger(%this, %obj, %slot, %val)
{
	parent::onTrigger(%this, %obj, %slot, %val);
	if(%slot == 2)
	{
		InitContainerRadiusSearch(%obj.getPosition(), $Pref::PlayerTriggerEvents::Sensitivity, $TypeMasks::fxBrickAlwaysObjectType);
		while(isObject(%containerobj = ContainerSearchNext()))
		{
			$InputTarget_["Self"] = %containerobj;
			$InputTarget_["Player"] = %obj;
			$InputTarget_["Bot"] = %containerobj.hBot;
			$InputTarget_["Client"] = %obj.client;
			if(getMinigameFromObject(%containerobj) == getMinigameFromObject(%obj))
				$InputTarget_["Minigame"] = getMinigameFromObject(%containerobj);
			else
				$InputTarget_["Minigame"] = 0;
		if(%val)
			%containerobj.processInputEvent("onPlayerJump", %obj.client);
		else
			%containerobj.processInputEvent("onPlayerStopJump", %obj.client);
		}
	}
	else if(%slot == 3)
	{
		InitContainerRadiusSearch(%obj.getPosition(), $Pref::PlayerTriggerEvents::Sensitivity, $TypeMasks::fxBrickAlwaysObjectType);
		while(isObject(%containerobj = ContainerSearchNext()))
		{
			$InputTarget_["Self"] = %containerobj;
			$InputTarget_["Player"] = %obj;
			$InputTarget_["Bot"] = %containerobj.hBot;
			$InputTarget_["Client"] = %obj.client;
			if(getMinigameFromObject(%containerobj) == getMinigameFromObject(%obj))
				$InputTarget_["Minigame"] = getMinigameFromObject(%containerobj);
			else
				$InputTarget_["Minigame"] = 0;
			if(%val)
				%containerobj.processInputEvent("onPlayerCrouch", %obj.client);
			else
				%containerobj.processInputEvent("onPlayerStopCrouch", %obj.client);
		}
	}
	else if(%slot == 4)
	{
		InitContainerRadiusSearch(%obj.getPosition(), $Pref::PlayerTriggerEvents::Sensitivity, $TypeMasks::fxBrickAlwaysObjectType);
		while(isObject(%containerobj = ContainerSearchNext()))
		{
			$InputTarget_["Self"] = %containerobj;
			$InputTarget_["Player"] = %obj;
			$InputTarget_["Bot"] = %containerobj.hBot;
			$InputTarget_["Client"] = %obj.client;
			if(getMinigameFromObject(%containerobj) == getMinigameFromObject(%obj))
				$InputTarget_["Minigame"] = getMinigameFromObject(%containerobj);
			else
				$InputTarget_["Minigame"] = 0;
		if(%val)
			%containerobj.processInputEvent("onPlayerJet", %obj.client);
		else
			%containerobj.processInputEvent("onPlayerStopJet", %obj.client);
		}
	}
}

};

activatePackage(triggerEvents);

registerInputEvent("fxDTSBrick", "onPlayerJump", "Self fxDTSBrick" TAB "Player Player" TAB "Bot Bot" TAB "Client GameConnection" TAB "Minigame Minigame");
registerInputEvent("fxDTSBrick", "onPlayerStopJump", "Self fxDTSBrick" TAB "Player Player" TAB "Bot Bot" TAB "Client GameConnection" TAB "Minigame Minigame");
registerInputEvent("fxDTSBrick", "onPlayerCrouch", "Self fxDTSBrick" TAB "Player Player" TAB "Bot Bot" TAB "Client GameConnection" TAB "Minigame Minigame");
registerInputEvent("fxDTSBrick", "onPlayerStopCrouch", "Self fxDTSBrick" TAB "Player Player" TAB "Bot Bot" TAB "Client GameConnection" TAB "Minigame Minigame");
registerInputEvent("fxDTSBrick", "onPlayerJet", "Self fxDTSBrick" TAB "Player Player" TAB "Bot Bot" TAB "Client GameConnection" TAB "Minigame Minigame");
registerInputEvent("fxDTSBrick", "onPlayerStopJet", "Self fxDTSBrick" TAB "Player Player" TAB "Bot Bot" TAB "Client GameConnection" TAB "Minigame Minigame");